Easy fix?: No Copied to github as #: 12392

Description

Standard EPSG code for Italian projections (3003 and 3004) do not include datum; as a result, reprojection is always wrong by about 100

m. Can we add 4 more projection definition to our SRS database?

It should  only be added the +towgs84 parameter so that we'll have:

3003 corrected, mainland: same as 3003, with

+towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68

3004 corrected, mainland: same as 3004, with

+towgs84=-104.1,-49.1,-9.9,0.971,-2.917,0.714,-11.68

3003 corrected, Sardinia: same as 3003, with

+towgs84=-168.6,-34.0,38.6,-0.374,-0.679,-1.379,-9.48

3004 corrected, Sicily:  same as 3004, with

+towgs84=-50.2,-50.4,84.8,-0.690,-2.012,0.459,-28.08

In GRASS this has been solved by a similar approach:

http://freegis.org/cgi-bin/viewcvs.cgi/*checkout*/grass/src/libes/gis/datumtransform.table?rev=HEAD&#38;content-type=text/plain

I think this can be done now, as it does not impact anything else, and it would make life a lot easier for Italian users (remember, the

second largest QGIS user community!).

Details in http://www.crs-geo.eu/

New custom codes should be in the 32,768-100,000 range; 39031, 39032, 39041, 39042 should be ok.

History

#1 - 2010-01-05 01:50 PM - Giovanni Manghi

Italy is not the only case, there are obviously others (in my case I'm referring to Portugal).

My suggestion is to implement this #1908 and then just maintain the list of datum association (3 and 7 parameters transformation).

Ex:

http://trac.osgeo.org/grass/browser/grass/branches/releasebranch_6_4/lib/gis/datumtransform.table

http://trac.osgeo.org/grass/browser/grass/branches/releasebranch_6_4/lib/gis/datum.table

Missing/correct definitions for Portugal

    -  [D73HG] HAYFORD-GAUSS DATUM 73
http://www.igeo.pt/produtos/Geodesia/Inf_tecnica/sistemas_referencia/Datum_73.htm

+proj=tmerc +lat_0=39.66666666666666 +lon_0=-8.131906111111112 +k=1 +x_0=180.598 +y_0=-86.98999999999999 +ellps=intl

+towgs84=-239.749,88.181,30.488,0.263,0.082,1.211,2.229

    -  [DLXHG] HAYFORD-GAUSS DATUM LISBOA (IGP)

http://www.igeo.pt/produtos/Geodesia/Inf_tecnica/sistemas_referencia/Datum_Lx.htm

+proj=tmerc +lat_0=39.66666666666666 +lon_0=-8.131906111111112 +k=1 +x_0=0 +y_0=0 +ellps=intl

+towgs84=-288.885,-91.744,126.244,-1.691,0.410,-0.211,-4.598

    -  [DLXHGMIL] HAYFORD-GAUSS DATUM LISBOA (Militar)

+proj=tmerc +lat_0=39.66666666666666 +lon_0=-8.131906111111112 +k=1 +x_0=200000 +y_0=300000 +ellps=intl

+towgs84=-288.885,-91.744,126.244,-1.691,0.410,-0.211,-4.598

#2 - 2010-01-23 12:03 PM - Giovanni Manghi

making some addition, please wait before adding

#3 - 2010-01-26 04:07 AM - Giovanni Manghi

it seems there is a little confunsion about official towgs parameters for Portugal. I will try to gather the right infos in time for the dev meeting.

#4 - 2010-07-24 02:04 AM - Giovanni Manghi

see also #1908

#5 - 2011-12-16 01:57 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#6 - 2012-04-15 10:12 AM - Giovanni Manghi

- Target version changed from Version 1.7.4 to Version 2.0.0

#7 - 2012-10-06 02:29 AM - Pirmin Kalberer

- Target version changed from Version 2.0.0 to Future Release - Nice to have

#8 - 2013-03-16 01:16 PM - Giovanni Manghi

- Status changed from Open to Feedback

- Assignee deleted (nobody -)

- Pull Request or Patch supplied set to No

3003 and 3004 they now include those parameters, please leave feedback.

#9 - 2013-03-17 11:19 AM - Paolo Cavallini

- Status changed from Feedback to Closed
